Bug 1732401 - [abrt] printk: WARNING: CPU: 3 PID: 1 at arch/x86/mm/ioremap.c:166 __ioremap_caller+0x2ca/0x2e0 [NEEDINFO]
Summary: [abrt] printk: WARNING: CPU: 3 PID: 1 at arch/x86/mm/ioremap.c:166 __ioremap_...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:24ffa57c4b65f666a7dac3aaccb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-23 09:52 UTC by Samuel
Modified: 2019-09-17 20:07 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-17 20:07:50 UTC
jforbes: needinfo? (samuelnhuis)


Attachments (Terms of Use)
File: dmesg (82.82 KB, text/plain)
2019-07-23 09:52 UTC, Samuel
no flags Details

Description Samuel 2019-07-23 09:52:45 UTC
Additional info:
reporter:       libreport-2.10.1
WARNING: CPU: 3 PID: 1 at arch/x86/mm/ioremap.c:166 __ioremap_caller+0x2ca/0x2e0
Modules linked in:
CPU: 3 PID: 1 Comm: swapper/0 Not tainted 5.1.18-300.fc30.x86_64 #1
Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./B450 Pro4, BIOS P1.50 11/05/2018
RIP: 0010:__ioremap_caller+0x2ca/0x2e0
Code: 05 af d4 1b 01 49 09 c6 e9 cd fe ff ff 48 8d 54 24 28 48 8d 74 24 18 48 c7 c7 ad bc 0b b8 c6 05 8b dd 2c 01 01 e8 75 b8 06 00 <0f> 0b 45 31 e4 e9 47 ff ff ff e8 77 b5 06 00 0f 1f 80 00 00 00 00
RSP: 0018:ffffb5c401947c00 EFLAGS: 00010286
RAX: 0000000000000000 RBX: ffff9409fb1f7800 RCX: 00000000000002aa
RDX: 0000000000000001 RSI: 0000000000000096 RDI: 0000000000000246
RBP: 00000000e0000000 R08: 0000000000000001 R09: 00000000000002aa
R10: ffffffffb89cc0f0 R11: 0000000000000003 R12: 0000000000000001
R13: 00000000007e9000 R14: 0000000000000000 R15: ffffffffb754f413
FS:  0000000000000000(0000) GS:ffff9409feac0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000000 CR3: 00000002a720e000 CR4: 00000000003406e0
Call Trace:
 ? printk+0x58/0x6f
 ? _cond_resched+0x15/0x30
 efifb_probe.cold+0x317/0x974
 ? kernfs_add_one+0xe2/0x130
 platform_drv_probe+0x38/0x80
 really_probe+0xf9/0x3a0
 driver_probe_device+0xb6/0x100
 device_driver_attach+0x55/0x60
 __driver_attach+0x8a/0x150
 ? device_driver_attach+0x60/0x60
 bus_for_each_dev+0x78/0xc0
 bus_add_driver+0x14a/0x1e0
 driver_register+0x6c/0xb0
 ? vesafb_driver_init+0x13/0x13
 do_one_initcall+0x46/0x1c4
 kernel_init_freeable+0x1a6/0x24d
 ? rest_init+0xaa/0xaa
 kernel_init+0xa/0x106
 ret_from_fork+0x22/0x40

Comment 1 Samuel 2019-07-23 09:52:51 UTC
Created attachment 1592850 [details]
File: dmesg

Comment 2 Samuel 2019-07-26 04:04:15 UTC
Description of problem:
Just turned on by computer and logged in.

Version-Release number of selected component:
kernel-core-5.1.18-300.fc30

Additional info:
reporter:       libreport-2.10.1
cmdline:        BOOT_IMAGE=(hd0,msdos2)/vmlinuz-5.1.18-300.fc30.x86_64 root=/dev/mapper/fedora_cube-root ro resume=/dev/mapper/fedora_cube-swap rd.lvm.lv=fedora_cube/root rd.lvm.lv=fedora_cube/swap rhgb quiet
crash_function: printk
kernel:         5.1.18-300.fc30.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 1 at arch/x86/mm/ioremap.c:166 __ioremap_caller+0x2ca/0x2e0
Modules linked in:
CPU: 3 PID: 1 Comm: swapper/0 Not tainted 5.1.18-300.fc30.x86_64 #1
Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./B450 Pro4, BIOS P1.50 11/05/2018
RIP: 0010:__ioremap_caller+0x2ca/0x2e0
Code: 05 af d4 1b 01 49 09 c6 e9 cd fe ff ff 48 8d 54 24 28 48 8d 74 24 18 48 c7 c7 ad bc 0b ab c6 05 8b dd 2c 01 01 e8 75 b8 06 00 <0f> 0b 45 31 e4 e9 47 ff ff ff e8 77 b5 06 00 0f 1f 80 00 00 00 00
RSP: 0018:ffffa62cc1947c00 EFLAGS: 00010286
RAX: 0000000000000000 RBX: ffff95a3bb1f4800 RCX: 00000000000002aa
RDX: 0000000000000001 RSI: 0000000000000096 RDI: 0000000000000246
RBP: 00000000e0000000 R08: 0000000000000001 R09: 00000000000002aa
R10: ffffffffab9cc0f0 R11: 0000000000000003 R12: 0000000000000001
R13: 00000000007e9000 R14: 0000000000000000 R15: ffffffffaa54f413
FS:  0000000000000000(0000) GS:ffff95a3beac0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000000 CR3: 000000019320e000 CR4: 00000000003406e0
Call Trace:
 ? printk+0x58/0x6f
 ? _cond_resched+0x15/0x30
 efifb_probe.cold+0x317/0x974
 ? kernfs_add_one+0xe2/0x130
 platform_drv_probe+0x38/0x80
 really_probe+0xf9/0x3a0
 driver_probe_device+0xb6/0x100
 device_driver_attach+0x55/0x60
 __driver_attach+0x8a/0x150
 ? device_driver_attach+0x60/0x60
 bus_for_each_dev+0x78/0xc0
 bus_add_driver+0x14a/0x1e0
 driver_register+0x6c/0xb0
 ? vesafb_driver_init+0x13/0x13
 do_one_initcall+0x46/0x1c4
 kernel_init_freeable+0x1a6/0x24d
 ? rest_init+0xaa/0xaa
 kernel_init+0xa/0x106
 ret_from_fork+0x22/0x40

Comment 3 Justin M. Forbes 2019-08-20 17:34:16 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 30 kernel bugs.

Fedora 30 has now been rebased to 5.2.9-200.fc30.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 31, and are still experiencing this issue, please change the version to Fedora 31.

If you experience different issues, please open a new bug report for those.

Comment 4 Justin M. Forbes 2019-09-17 20:07:50 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.